Summary: Translates manual pages written with LaTeX into a format understood by man.
Name: latex2man
Version: 1.17
Release: 1
License: LaTeX Project Public License
Group: Applications/Publishing
Source: ftp://tug.ctan.org/tex-archive/support/latex2man.tar.gz
Prefix: /usr
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
URL: http://www.ctan.org/tex-archive/support/latex2man/latex2man.html
BuildArch: noarch
Requires: perl >= 5.0004_03, tetex-latex
BuildRequires: tetex-dvips, tetex-latex, perl >= 5.0004_03

%description
Latex2man is a tool to translate UNIX manual pages written with LaTeX into
a format understood by the UNIX man(1)-command. Alternatively HTML,
TexInfo, or LaTeX code can be produced too. Output of parts of the text
may be suppressed using the conditional text feature (for this, LaTeX
generation may be used).

%prep
%setup -q -n %{name}

%build
(echo ',s|/usr/local/bin/perl|/usr/bin/perl|'; echo wq) | ed latex2man
chmod 755 latex2man

%install
%define latex2mandir %{_datadir}/texmf/tex/latex/latex2man
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{latex2mandir},%{_bindir},%{_infodir},%{_mandir}/man1}
make -j1 BIN_DIR=$RPM_BUILD_ROOT%{_bindir} MAN_DIR=$RPM_BUILD_ROOT%{_mandir} HTML_DIR=/tmp INFO_DIR=$RPM_BUILD_ROOT%{_infodir} TEX_DIR=$RPM_BUILD_ROOT%{latex2mandir} CFG_DIR=$RPM_BUILD_ROOT%{latex2mandir} install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/install-info \
  --info-dir=%{_infodir} %{_infodir}/latex2man.info.gz
if [ -x /usr/bin/texhash ]; then 
   /usr/bin/env - /usr/bin/texhash 2> /dev/null
fi

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete\
      --info-dir=%{_infodir} %{_infodir}/latex2man.info.gz
fi

%postun
if [ -x /usr/bin/texhash ]; then
   /usr/bin/env - /usr/bin/texhash 2> /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES latex2man.html latex2man.pdf latex2man.txt
%{latex2mandir}
%{_bindir}/latex2man
%{_infodir}/latex2man.info.gz
%{_mandir}/man1/latex2man*

%changelog
* Wed Dec 07 2004 Aleksey Nogin <rpm@nogin.org> 1.17-1
- Upgraded to 1.17

* Wed Oct 13 2004 Aleksey Nogin <rpm@nogin.org> 1.16-2
- Fixed the problem with "&" being escaped too late in the HTML mode.

* Wed Oct 13 2004 Aleksey Nogin <rpm@nogin.org> 1.16-1
- Upgraded to 1.16

* Sun Sep 05 2004 Aleksey Nogin <rpm@nogin.org> 1.15-3
- Added a patch to properly preserve "%" symbols inside verbatim blocks.

* Sun Sep 05 2004 Aleksey Nogin <rpm@nogin.org> 1.15-1
- Initial packaging
